curl --request GET \
--url https://api.meetcampfire.com/coa/api/transaction/{id}import requests
url = "https://api.meetcampfire.com/coa/api/transaction/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/coa/api/transaction/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"entity_name": "<string>",
"entity_currency": "<string>",
"account_name": "<string>",
"account_number": "<string>",
"vendor_name": "<string>",
"vendor_id": "<string>",
"vendor_campfire_id": "<string>",
"department_name": "<string>",
"department_code": "<string>",
"parent_department_name": "<string>",
"parent_department": 123,
"tags": [
{
"id": 123,
"group_name": "<string>",
"parent_name": "<string>",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"parent": 123,
"is_active": true,
"group": 123
}
],
"journal": 123,
"journal_order": "<string>",
"journal_memo": "<string>",
"journal_type": "<string>",
"intercompany_journal": 123,
"created_automatically": true,
"journal_attachments": [
{
"id": 123,
"customer": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"created_by_name": "<string>",
"created_by_email": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"url": "<string>",
"s3_path": "<string>",
"app": "<string>",
"model": "<string>",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"s3_content_type": "<string>",
"s3_content_length": 1073741823,
"object_id": 1073741823
}
],
"journal_type_name": "<string>",
"invoice": "<string>",
"bill": "<string>",
"date_month": "<string>",
"date_year": "<string>",
"balance_after_transaction": 123,
"bank_account": "<string>",
"bank_account_name": "<string>",
"last_modified_by_name": "<string>",
"account_type": "<string>",
"account_subtype": "<string>",
"parent_account_name": "<string>",
"files": "<string>",
"invoice_id": 123,
"invoice_number": "<string>",
"bill_id": 123,
"bill_number": "<string>",
"file_names": "<string>",
"has_matches": true,
"has_ai": true,
"has_rules": true,
"has_merges": true,
"has_fixed_asset_rule_matches": true,
"has_suggested_rule": true,
"suggested_rule_account_name": "<string>",
"primary_action_type": "<string>",
"suggested_account": 123,
"suggested_account_name": "<string>",
"suggested_account_number": "<string>",
"amount": 0,
"amount_native": 0,
"amount_book": 0,
"amortization_schedule": [
{
"journal_entry_order": "<string>",
"date": "2023-12-25",
"amount": 0,
"customer": 123,
"id": 123,
"posted": true,
"transaction": 123,
"bill_line": 123,
"debit_memo_line": 123,
"journal_entry": 123
}
],
"linked_amortizations": [
{}
],
"created_fixed_assets": [
{}
],
"reconciliation_report": "<string>",
"opposing_account_name": "<string>",
"opposing_account_number": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"balance_before_transaction": 0,
"created_at": "2023-11-07T05:31:56Z",
"producer": "<string>",
"warehouse_row_key": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"source_group": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": 123,
"entity": 123,
"counterparty_entity": 123,
"cost_allocation": 123,
"last_sync_run": 123,
"account": 123,
"debit_amount": 0,
"credit_amount": 0,
"debit_amount_book": 0,
"credit_amount_book": 0,
"debit_amount_native": 0,
"credit_amount_native": 0,
"currency": "<string>",
"exchange_rate": 0,
"exchange_rate_book": 0,
"posted_at": "2023-12-25",
"merchant_name": "<string>",
"bank_description": "<string>",
"tag_ids": [
0
],
"tag_group_ids": [
0
],
"note": "<string>",
"receipt_url": "<string>",
"external_id": "<string>",
"needs_review": true,
"draft_matches": null,
"last_lam_prediction_attempt": "2023-11-07T05:31:56Z",
"source_entity": 123,
"parent_bank_transaction": 123,
"vendor": 123,
"department": 123,
"last_modified_by": 123
}Retrieve Chart Transaction
Path Parameters
Response
Combines account number and name in the format "number - name"
Name of the linked Campfire Vendor object. Distinct from merchant_name, which is free text stored directly on the transaction and not linked to a Campfire object.
Stable, user-facing Campfire ID of the linked Campfire Vendor object (e.g. VEN-0000001).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Two-digit month (MM) derived from posted_at, the transaction date.
Four-digit year (YYYY) derived from posted_at, the transaction date.
Amount in consolidated currency (the currency of the root entity).
-1000000000000000000 < x < 1000000000000000000Amount in the currency the transaction was originally created in.
-1000000000000000000 < x < 1000000000000000000Amount in the currency of the entity this transaction belongs to.
-1000000000000000000 < x < 1000000000000000000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Return all fixed assets this transaction is linked to — via the legacy
purchase_transaction FK (reverse: created_fixed_assets) AND the
new purchase_transactions M2M (reverse: linked_fixed_assets).
Dual-write keeps the FK target in the M2M, but using both covers any
pre-backfill drift and surfaces non-primary M2M-only links (e.g. the
secondary txns in a multi-txn fixed asset, or a split-resized txn).
Show child attributes
Show child attributes
-1000000000000000000 < x < 1000000000000000000Lane that owns this leg's money and date fields. NULL for every pre-loader producer.
Identity of the warehouse row this leg projects, as <connection_id>:<row_key>. Distinct from external_id, which holds the bare Stripe object id that other lanes resolve back to Stripe by prefix. NULL for every producer except the Stripe top-down loader.
-1000000000000000000 < x < 1000000000000000000-1000000000000000000 < x < 1000000000000000000-1000000000000000000 < x < 1000000000000000000-1000000000000000000 < x < 1000000000000000000-1000000000000000000 < x < 1000000000000000000-1000000000000000000 < x < 10000000000000000003-100000000000000 < x < 100000000000000-100000000000000 < x < 100000000000000-9223372036854776000 <= x <= 9223372036854776000-9223372036854776000 <= x <= 9223372036854776000512